Bug 187108 - pirut groups view should show mandatory packages
pirut groups view should show mandatory packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 10:50 EST by Chris Ricker
Modified: 2008-05-06 11:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2006-03-28 10:50:42 EST
in groups view, pirut currently doesn't show mandatory packages

This is confusing - for example, let's say I want to install an ftp server. I go
to Servers, then enable "FTP Servers". There's no indication displayed anywhere
that I'm getting vsftpd automatically, so I'm likely going to go ahead and
install proftpd or pureftpd under optional packages because it looks like I'm
not getting anything otherwise

Better design, I think, would be something like changing "Optional Packages" to
say something like "Detailed View". When you select "Detailed View", it shows
you the mandatory packages (with no option to deselect) and then below them the
optional packages, with the option to select or not as you see fit
Comment 1 Jeremy Katz 2006-04-12 13:50:35 EDT
So, I continue to go back and forth about this.  You've covered one side of the
argument.

The other side is that showing the mandatory packages won't necessarily show the
full view.  eg, it doesn't do dependency resolution so you won't realize when
packages are pulled in by deps.  But maybe the answer there is that if it's an
"interesting" package, it should be included as mandatory even if it is going to
get pulled in by a dep anyway.

I can probably be swayed either way.  Maybe it'll just be something that changes
from one to the other each release ;)
Comment 2 Chris Ricker 2006-04-19 09:04:56 EDT
Agreed that showing the mandatory still doesn't give a complete picture, but it
does give a more usable one

Think again about the usage case I gave -- trying to install an ftp server. Do I
care that when it selects vsftpd as mandatory that later when it does dependency
resolution it'll also select logrotate? It's nice to know, but I don't really
care in the same way that I do need to know that if I select the FTP Servers
I've already implicitly selected vsftpd, and therefore don't also need to select
pureftpd

I can't really think of a usage case why anyone would prefer the current
behavior....
Comment 3 George Beshers 2007-09-18 21:03:59 EDT
Stumbled across this --- need to check it and either fix it or close it.
Comment 4 Bug Zapper 2008-04-03 22:19:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:40:59 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.